package br.unicamp.mapsgps;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Point;
import android.graphics.Rect;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;

public class BeachOverlay extends Overlay {
	
	private Paint paint = new Paint();
	private GeoPoint point;
	private MapView map;
	
	public BeachOverlay (GeoPoint point, MapView mapView) {
		this.point = point;
		this.map = mapView;
	}

	@Override
	public void draw(Canvas canvas, MapView mapView, 
			boolean shadow) {
		super.draw(canvas, mapView, shadow);
		Point p = map.getProjection().toPixels(point, null);
		Bitmap pin = BitmapFactory.decodeResource(
				map.getResources(), R.drawable.mapa_pin);
		
		Rect rectOverlay = 
				new Rect(p.x, p.y, p.x + pin.getWidth(), 
						p.y + pin.getHeight());
		canvas.drawBitmap(pin, null, rectOverlay, paint);
	}
}
