package br.unicamp.mapsgps;

import android.content.Context;
import android.location.LocationManager;
import android.os.Bundle;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;

public class MapsGpsUnicampActivity extends MapActivity {
	
	private static final int CENTER_LATITUDE = (int) (-23.514354 * 1E6);
	private static final int CENTER_LONGITUDE = (int) (-45.194042 * 1E6);
	
	private MapView map;
	private MapController controller;
	private Overlay overlayUbatuba;
	
	private LocationManager locationMgr;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        map = (MapView) findViewById(R.id.map);
        map.setBuiltInZoomControls(true);
        map.setSatellite(true);
        map.setTraffic(true);
        map.setStreetView(false);
        
        controller = map.getController();
        
        GeoPoint pointUbatuba = new 
        		GeoPoint(CENTER_LATITUDE, CENTER_LONGITUDE);
        
        controller.setCenter(pointUbatuba);
        controller.animateTo(pointUbatuba);
        controller.setZoom(16);
        
        overlayUbatuba = new BeachOverlay(pointUbatuba, map);
        map.getOverlays().add(overlayUbatuba);
        
        locationMgr = 
        		(LocationManager) getSystemService(Context.LOCATION_SERVICE);
        
        UnicampLocationListener gpsListener = new UnicampLocationListener(this); 
        
        locationMgr.requestLocationUpdates(LocationManager.GPS_PROVIDER, 
        		0, 0, gpsListener);
    }

	@Override
	protected boolean isRouteDisplayed() {
		return false;
	}
}
